#include<bits/stdc++.h>
#define fi first
#define se second
#define pb push_back
#define all(a) a.begin(), a.end()
#define ff(i,a,b) for(int i=a;i<=b;i++)
#define fb(i,b,a) for(int i=b;i>=a;i--)

using namespace std;
typedef long long ll;
typedef pair<int,int> pii;
const int maxn = 200005;
const int inf = 1e9 + 5;

int n;

struct foo{
   ll x;
   long double y;
};

foo niz[maxn];

bool cmp(foo s1, foo s2){
   return s1.y > s2.y;
}

int main()
{
   ios::sync_with_stdio(false);
   cout.tie(nullptr);
   cin.tie(nullptr);
   cin >> n;
   ff(i,1,n)cin >> niz[i].x >> niz[i].y;
   sort(niz + 1, niz + n + 1, cmp);
   long double rez = 0;
   ll zbir = 0;
   ff(i,1,n){
      zbir += niz[i].x;
      niz[i].y /= (long double)100;
      rez = max(rez, (long double)zbir * niz[i].y);
   }
   cout << fixed << setprecision(10) << rez << endl;
   return 0;
}
/**

4
100001 83.2
40001 20
90001 77.32
300001 1.88

**/